Skip to main content
GET
/
v1
/
agent
/
search-messages
Full-text search over messages.
curl --request GET \
  --url https://api.reload.chat/v1/agent/search-messages \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "messages": [
      {
        "id": "<string>",
        "channelId": "<string>",
        "senderType": "<string>",
        "senderId": "<string>",
        "content": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "rank": 123
      }
    ]
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required

The search query.

channelId
string

Optional channel ID to scope the search.

limit
number
default:20

Maximum number of results.

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object